# -*- coding: cp1250 -*-
## databaze_materialu

import numpy as np

class materialy:
    def tyce(self, Temp, material, tloustka):
        tloustka_materialu = []
        #C35E+QT tyè(šroub),1.1181,ÈSN EN 10269 - kveten 2014:
        if material == "C35E+QT":
            teploty = [20,  50, 100, 150, 200, 250, 300, 350, 400]
            if tloustka < 61.:
                Rp02 = [300, 289, 270, 251, 229, 213, 192, 182, 173] # Rp02 pro material do 60 mm
                Rm = 500.
                A = 22.
                tloustka_materialu.append(True)
                tloustka_materialu.append("tloustka materialu tyce")
            elif tloustka > 61 and tloustka < 151.:
                Rp02 = [300, 287, 264, 242, 220, 203, 186, 167, 147] # Rp02 pro material do 150 mm
                Rm = 500.
                A = 22.
                tloustka_materialu.append(True)
                tloustka_materialu.append("tloustka materialu tyce")
            else:
                tloustka_materialu.append(False)
                tloustka_materialu.append("tloustka materialu tyce")
            material_info = ["C35E+QT tyc(sroub)","1.1181","CSN EN 10269 - kveten 2014"]

        #C35E+N tyè(šroub),1.1181,ÈSN EN 10269 - kveten 2014:
        elif material == "C35E+N":
            teploty = [20,  50, 100, 150, 200, 250, 300, 350, 400]
            if tloustka < 61.:
                Rp02 = [300, 289, 270, 251, 229, 213, 192, 182, 173] # Rp02 pro material do 60 mm
                tloustka_materialu.append(True)
                tloustka_materialu.append("tloustka materialu tyce")
            else:
                tloustka_materialu.append(False)
                tloustka_materialu.append("tloustka materialu tyce")
            Rm = 500.
            A = 20.
            material_info = ["C35E+N tyc(sroub)","1.1181","CSN EN 10269 - kveten 2014"]

        #25CrMo4+QT tyè(šroub), 1.7218, ÈSN EN 10269 - kveten 2014:
        elif material == "25CrMo4+QT":
            teploty = [20,  50, 100, 150, 200, 250, 300, 350, 400, 450, 500]
            if tloustka < 61.:
                Rp02 = [440, 435, 428, 420, 412, 392, 363, 333, 304, 275, 235] # Rp02 pro material do 60 mm
                Rm = 600.
                A = 18.
                tloustka_materialu.append(True)
                tloustka_materialu.append("tloustka materialu tyce")
            elif tloustka > 61 and tloustka < 151.:
                Rp02 = [420, 414, 403, 393, 382, 372, 344, 324, 294, 265, 226] # Rp02 pro material do 150 mm
                Rm = 600.
                A = 18.
                tloustka_materialu.append(True)
                tloustka_materialu.append("tloustka materialu tyce")
            else:
                tloustka_materialu.append(False)
                tloustka_materialu.append("tloustka materialu tyce")
            material_info = ["25CrMo4+QT tyc(sroub)","1.7218","CSN EN 10269 - kveten 2014"]

        #42CrMo4+QT tyè(šroub), 1.7225, ÈSN EN 10269 - kveten 2014:
        elif material == "42CrMo4+QT":
            teploty  = [20,  50, 100, 150, 200, 250, 300, 350, 400, 450, 500]
            if tloustka < 61.:
                Rp02 = [730, 720, 702, 677, 640, 602, 562, 518, 475, 420, 375] # Rp02 pro material do 60 mm
                tloustka_materialu.append(True)
                tloustka_materialu.append("tloustka materialu tyce")
            else:
                tloustka_materialu.append(False)
                tloustka_materialu.append("tloustka materialu tyce")
            Rm = 860.
            A = 14.
            material_info = ["42CrMo4+QT tyc(sroub)","1.7225","CSN EN 10269 - kveten 2014"]
                
        #42CrMo5-6+QT tyè(šroub), 1.7233, ÈSN EN 10269 - kveten 2014:
        elif material == "42CrMo5-6+QT":
            teploty  = [20,  50, 100, 150, 200, 250, 300, 350, 400, 450, 500, 550, 600]
            if tloustka < 101.:
                Rp02 = [700, 681, 662, 639, 616, 601, 585, 570, 547, 516, 462, 362, 223] # Rp02 pro material do 100 mm
                Rm = 860.
                A = 16.
                tloustka_materialu.append(True)
                tloustka_materialu.append("tloustka materialu tyce")
            elif tloustka > 61. and tloustka < 151.:
                Rp02 = [640, 625, 605, 584, 563, 549, 535, 521, 500, 472, 422, 331, 204] # Rp02 pro material do 150 mm
                Rm = 850.
                A = 16.
                tloustka_materialu.append(True)
                tloustka_materialu.append("tloustka materialu tyce")
            else:
                tloustka_materialu.append(False)
                tloustka_materialu.append("tloustka materialu tyce")
            material_info = ["42CrMo5-6+QT tyc(sroub)","1.7233","CSN EN 10269 - kveten 2014"]

        #40CrMoV4-6+QT tyè(šroub), 1.7711, ÈSN EN 10269 - kveten 2014:
        elif material == "40CrMoV4-6+QT":
            teploty  = [20,  50, 100, 150, 200, 250, 300, 350, 400, 450, 500, 550, 600]
            if tloustka < 101.:
                Rp02 = [700, 687, 670, 647, 631, 608, 593, 577, 554, 523, 470, 400, 293] # Rp02 pro material do 100 mm
                Rm = 850.
                A = 14.
                tloustka_materialu.append(True)
                tloustka_materialu.append("tloustka materialu tyce")
            elif tloustka < 161.:
                Rp02 = [640, 631, 612, 591, 577, 556, 542, 528, 507, 479, 429, 366, 268] # Rp02 pro material do 160 mm
                Rm = 850.
                A = 14.
                tloustka_materialu.append(True)
                tloustka_materialu.append("tloustka materialu tyce")
            else:
                tloustka_materialu.append(False)
                tloustka_materialu.append("tloustka materialu tyce")
            material_info = ["42CrMo5-6+QT tyc(sroub)","1.7233","CSN EN 10269 - kveten 2014"]
                
        else:
            pass
            
        Rp02t_sroubu = np.interp(Temp, teploty, Rp02) # lineární interpolace
        Rm_sroubu = Rm
        A_sroubu = A
        material_info_sroubu = material_info
        
        return Rp02t_sroubu, Rm_sroubu, A_sroubu, material_info_sroubu, tloustka_materialu           

    def plast(self, Temp, material, tloustka):
        tloustka_materialu = []
        #P235GH, 1.0345, ÈSN EN 10028-2 - leden 2010:
        if material == "P235GH":
            teploty  = [20, 50, 100, 150, 200, 250, 300, 350, 400]
            if tloustka < 17.:
                Rp02 = [235, 227, 214, 198, 182, 167, 153, 142, 133] # Rp02 pro material do 35 mm
                Rm = 360.
                A = 24.
                tloustka_materialu.append(True)
                tloustka_materialu.append("tloustka materialu plast")
            elif tloustka < 41.:
                Rp02 = [225, 218, 205, 190, 174, 160, 147, 136, 122] # Rp02 pro material do 160 mm
                Rm = 360.
                A = 24.
                tloustka_materialu.append(True)
                tloustka_materialu.append("tloustka materialu plast")
            else:
                tloustka_materialu.append(False)
                tloustka_materialu.append("tloustka materialu plast")
            material_info = ["P235GH","1.0345","CSN EN 10028-2 Leden 2010"]

        #P265GH, 1.0425, ÈSN EN 10028-2 - leden 2010:
        elif material == "P265GH":
            teploty  = [20, 50, 100, 150, 200, 250, 300, 350, 400]
            if tloustka < 17.:
                Rp02 = [265, 256, 241, 223, 205, 188, 173, 160, 150] # Rp02 pro material do 35 mm
                Rm = 410.
                A = 22.
                tloustka_materialu.append(True)
                tloustka_materialu.append("tloustka materialu plast")
            elif tloustka < 41.:
                Rp02 = [255, 247, 232, 215, 197, 181, 166, 154, 145] # Rp02 pro material do 160 mm
                Rm = 410.
                A = 22.
                tloustka_materialu.append(True)
                tloustka_materialu.append("tloustka materialu plast")
            else:
                tloustka_materialu.append(False)
                tloustka_materialu.append("tloustka materialu plast")
            material_info = ["P265GH","1.0425","CSN EN 10028-2 Leden 2010"]

        #P295GH, 1.0481, ÈSN EN 10028-2 - leden 2010:
        elif material == "P295GH":
            teploty  = [20, 50, 100, 150, 200, 250, 300, 350, 400]
            if tloustka < 17.:
                Rp02 = [295, 285, 268, 249, 228, 209, 192, 178, 167] # Rp02 pro material do 35 mm
                Rm = 460.
                A = 21.
                tloustka_materialu.append(True)
                tloustka_materialu.append("tloustka materialu plast")
            elif tloustka < 41.:
                Rp02 = [290, 280, 264, 244, 225, 206, 189, 175, 165] # Rp02 pro material do 160 mm
                Rm = 460.
                A = 21.
                tloustka_materialu.append(True)
                tloustka_materialu.append("tloustka materialu plast")
            else:
                tloustka_materialu.append(False)
                tloustka_materialu.append("tloustka materialu plast")
            material_info = ["P295GH","1.0481","CSN EN 10028-2 Leden 2010"]

        #P355GH, 1.0473, ÈSN EN 10028-2 - leden 2010:
        elif material == "P355GH":
            teploty  = [20, 50, 100, 150, 200, 250, 300, 350, 400]
            if tloustka < 17.:
                Rp02 = [355, 343, 323, 299, 275, 252, 232, 214, 202] # Rp02 pro material do 35 mm
                Rm = 510.
                A = 20.
                tloustka_materialu.append(True)
                tloustka_materialu.append("tloustka materialu plast")
            elif tloustka < 41.:
                Rp02 = [345, 334, 314, 291, 267, 245, 225, 208, 196] # Rp02 pro material do 160 mm
                Rm = 510.
                A = 20.
                tloustka_materialu.append(True)
                tloustka_materialu.append("tloustka materialu plast")
            else:
                tloustka_materialu.append(False)
                tloustka_materialu.append("tloustka materialu plast")
            material_info = ["P355GH","1.0473","CSN EN 10028-2 Leden 2010"]
        
        #13CrMo4-5, 1.7335, ÈSN EN 10028-2 - leden 2010:
        elif material == "13CrMo4-5":
            teploty  = [20, 50, 100, 150, 200, 250, 300, 350, 400]
            if tloustka < 17.:
                Rp02 = [300, 294, 285, 269, 252, 234, 216, 200, 186] # Rp02 pro material do 35 mm
                Rm = 450.
                A = 19.
                tloustka_materialu.append(True)
                tloustka_materialu.append("tloustka materialu plast")
            elif tloustka < 61.:
                Rp02 = [290, 285, 275, 260, 243, 226, 209, 194, 180] # Rp02 pro material do 160 mm
                Rm = 450.
                A = 19.
                tloustka_materialu.append(True)
                tloustka_materialu.append("tloustka materialu plast")
            else:
                tloustka_materialu.append(False)
                tloustka_materialu.append("tloustka materialu plast")
            material_info = ["13CrMo4-5","1.7335","CSN EN 10028-2 Leden 2010"]

        #16Mo3, 1.5415, ÈSN EN 10028-2 - leden 2010:
        elif material == "16Mo3":
            teploty  = [20, 50, 100, 150, 200, 250, 300, 350, 400]
            if tloustka < 17.:
                Rp02 = [275, 273, 264, 250, 233, 213, 194, 175, 159] # Rp02 pro material do 35 mm
                Rm = 440.
                A = 22.
                tloustka_materialu.append(True)
                tloustka_materialu.append("tloustka materialu plast")
            elif tloustka < 61.:
                Rp02 = [260, 258, 250, 236, 220, 202, 183, 165, 150] # Rp02 pro material do 160 mm
                Rm = 440.
                A = 22.
                tloustka_materialu.append(True)
                tloustka_materialu.append("tloustka materialu plast")
            else:
                tloustka_materialu.append(False)
                tloustka_materialu.append("tloustka materialu plast")
            material_info = ["16Mo3","1.5415","CSN EN 10028-2 Leden 2010"]

        else:
            pass

        Rp02t_plast = np.interp(Temp, teploty, Rp02) # lineární interpolace
        Rm_plast = Rm
        A_plast = A
        material_info_plast = material_info
        
        return Rp02t_plast, Rm_plast, A_plast, material_info_plast, tloustka_materialu
    
    def priruba(self, Temp, material, tloustka):
        tloustka_materialu = []
        #P245GH, 1.0352, ÈSN EN 10222-2 - duben 2002:
        if material == "P245GH":
            teploty  = [20, 100, 150, 200, 250, 300, 350, 400]
            if tloustka < 35.:
                Rp02 = [245, 195, 185, 175, 160, 145, 135, 125] # Rp02 pro material do 35 mm
                Rm = 410.
                A = 23.
                tloustka_materialu.append(True)
                tloustka_materialu.append("tloustka materialu priruba")
            elif tloustka < 161.:
                Rp02 = [220, 180, 175, 165, 155, 135, 130, 120] # Rp02 pro material do 160 mm
                Rm = 410.
                A = 23.
                tloustka_materialu.append(True)
                tloustka_materialu.append("tloustka materialu priruba")
            else:
                tloustka_materialu.append(False)
                tloustka_materialu.append("tloustka materialu priruba")
            material_info = ["P245GH","1.0352","CSN EN 10222-2 - duben 2002"]

        #P280GH, 1.0426, ÈSN EN 10222-2 - duben 2002:
        elif material == "P280GH":
            teploty  = [20, 100, 150, 200, 250, 300, 350, 400]
            if tloustka < 35.:
                Rp02 = [280,250, 235, 225, 205, 185, 170, 155] # Rp02 pro material do 35 mm
                Rm = 460.
                A = 21.
                tloustka_materialu.append(True)
                tloustka_materialu.append("tloustka materialu priruba")
            elif tloustka < 161.:
                Rp02 = [255, 210, 200, 195, 185, 170, 155, 135] # Rp02 pro material do 160 mm
                Rm = 460.
                A = 21.
                tloustka_materialu.append(True)
                tloustka_materialu.append("tloustka materialu priruba")
            else:
                tloustka_materialu.append(False)
                tloustka_materialu.append("tloustka materialu priruba")
            material_info = ["P280GH","1.0426","CSN EN 10222-2 - duben 2002"]

        #16Mo3, 1.5415, ÈSN EN 10222-2 - duben 2002:
        elif material == "16Mo3":
            teploty  = [20, 100, 150, 200, 250, 300, 350, 400, 450, 500]
            if tloustka < 35.:
                Rp02 = [295, 264, 245, 225, 205, 180, 170, 160, 155, 150] # Rp02 pro material do 35 mm
                Rm = 440.
                A = 21.
                tloustka_materialu.append(True)
                tloustka_materialu.append("tloustka materialu priruba")
            elif tloustka < 60.:
                Rp02 = [285, 264, 245, 225, 205, 180, 170, 160, 155, 150] # Rp02 pro material do 60 mm
                Rm = 440.
                A = 21.
                tloustka_materialu.append(True)
                tloustka_materialu.append("tloustka materialu priruba")
            elif tloustka < 90.:
                Rp02 = [275, 250, 230, 210, 195, 170, 160, 150, 145, 140] # Rp02 pro material do 90 mm
                Rm = 440.
                A = 21.
                tloustka_materialu.append(True)
                tloustka_materialu.append("tloustka materialu priruba")
            elif tloustka < 375.:
                Rp02 = [250, 235, 210, 190, 175, 150, 145, 140, 135, 130] # Rp02 pro material do 375 mm
                Rm = 440.
                A = 21.
                tloustka_materialu.append(True)
                tloustka_materialu.append("tloustka materialu priruba")
            elif tloustka < 500.:
                Rp02 = [250, 220, 200, 180, 165, 145, 140, 135, 130, 125] # Rp02 pro material do 500 mm
                Rm = 420.
                A = 21.
                tloustka_materialu.append(True)
                tloustka_materialu.append("tloustka materialu priruba")
            else:
                tloustka_materialu.append(False)
                tloustka_materialu.append("tloustka materialu priruba")
            material_info = ["16Mo3","1.5415","CSN EN 10222-2 - duben 2002"]

        #13CrMo4-5, 1.7335, ÈSN EN 10222-2 - duben 2002:
        elif material == "13CrMo4-5":
            teploty  = [20, 100, 150, 200, 250, 300, 350, 400, 450, 500]
            if tloustka < 35.:
                Rp02 = [295, 260, 245, 240, 230, 215, 200, 190, 180, 175] # Rp02 pro material do 35 mm
                Rm = 440.
                A = 18.
                tloustka_materialu.append(True)
                tloustka_materialu.append("tloustka materialu priruba")
            elif tloustka < 60.:
                Rp02 = [285, 260, 245, 240, 230, 215, 200, 190, 180, 175] # Rp02 pro material do 60 mm
                Rm = 440.
                A = 18.
                tloustka_materialu.append(True)
                tloustka_materialu.append("tloustka materialu priruba")
            elif tloustka < 90.:
                Rp02 = [275, 250, 240, 230, 220, 205, 190, 180, 170, 165] # Rp02 pro material do 90 mm
                Rm = 440.
                A = 18.
                tloustka_materialu.append(True)
                tloustka_materialu.append("tloustka materialu priruba")
            elif tloustka < 375.:
                Rp02 = [240, 240, 225, 210, 200, 185, 175, 165, 155, 150] # Rp02 pro material do 375 mm
                Rm = 440.
                A = 18.
                tloustka_materialu.append(True)
                tloustka_materialu.append("tloustka materialu priruba")
            elif tloustka < 500.:
                Rp02 = [240, 220, 210, 200, 190, 175, 165, 160, 150, 145] # Rp02 pro material do 500 mm
                Rm = 420.
                A = 18.
                tloustka_materialu.append(True)
                tloustka_materialu.append("tloustka materialu priruba")
            else:
                tloustka_materialu.append(False)
                tloustka_materialu.append("tloustka materialu priruba")
            material_info = ["13CrMo4-5","1.7335","CSN EN 10222-2 - duben 2002"]
        else:
            pass

        Rp02t = np.interp(Temp, teploty, Rp02) # lineární interpolace
        return Rp02t, Rm, A, material_info, tloustka_materialu

    def tesneni(self, material_tesneni):
        beta_2 = 0 # if beta_2 = 1 -> b = w/8
        w_min = 0.
        if material_tesneni == "pryz_bez_tkaniva_pod_75" or material_tesneni == "pryz_bez_podilu_azbest_vlakna_pod_75":
            typ_tesneni = 1
            m = 0.5
            y = 0.
        elif material_tesneni == "pryz_bez_tkaniva_nad_75" or material_tesneni == "pryz_bez_podilu_azbest_vlakna_nad_75":
            typ_tesneni = 1
            m = 1.
            y = 1.4
        elif material_tesneni == "azbest_s_pojivem_tl3.2":
            typ_tesneni = 3 # azbest obsahuje oxidy železa + køemík atd.
            m = 2.0
            y = 11.0
        elif material_tesneni == "azbest_s_pojivem_tl1.6":
            typ_tesneni = 3 # azbest obsahuje oxidy železa + køemík atd.
            m = 2.75
            y = 25.5
        elif material_tesneni == "azbest_s_pojivem_tl0.8":
            typ_tesneni = 3 # azbest obsahuje oxidy železa + køemík atd.
            m = 3.5
            y = 44.8
        elif material_tesneni == "pryz_s_bavlnenou_vlozkou":
            typ_tesneni = 1
            m = 1.25
            y = 2.8
        elif material_tesneni == "pryz_s_azbest_tkanivem_trivrstvy":
            typ_tesneni = 3
            m = 2.25
            y = 15.2
        elif material_tesneni == "pryz_s_azbest_tkanivem_dvouvrstvy":
            typ_tesneni = 3
            m = 2.5
            y = 20.0
        elif material_tesneni == "pryz_s_azbest_tkanivem_jednovrstvy":
            typ_tesneni = 3
            m = 2.75
            y = 25.5
        elif material_tesneni == "rostlina_vlakna":
            typ_tesneni = 1
            m = 1.75
            y = 7.6
            w_min = 10.
        elif material_tesneni == "spir_vinute_kovove_uhlikova":
            typ_tesneni = 2
            m = 2.5
            y = 69.0
        elif material_tesneni == "spir_vinute_kovove_korozivzdorna/monel":
            typ_tesneni = 2
            m = 3.
            y = 69.
        elif material_tesneni == "vlnity_kov_mekky_hlinik":
            typ_tesneni = 2
            m = 2.5
            y = 20.
        elif material_tesneni == "vlnity_kov_mekka_med/mosaz":
            typ_tesneni = 2
            m = 2.75
            y = 25.5
        elif material_tesneni == "vlnity_kov_zelezo/mekka_ocel":
            typ_tesneni = 2
            m = 3.
            y = 31.
        elif material_tesneni == "vlnity_kov_monel/ocel4-6%chromu":
            typ_tesneni = 2
            m = 3.25
            y = 37.9
        elif material_tesneni == "vlnity_kov_korozivzdorna":
            typ_tesneni = 2
            m = 3.5
            y = 44.8
        elif material_tesneni == "vlnity_kov_obal_mekky_hlinik":
            typ_tesneni = 2
            m = 2.75
            y = 25.5
        elif material_tesneni == "vlnity_kov_obal_mekka_med/mosaz":
            typ_tesneni = 2
            m = 3.
            y = 31.
        elif material_tesneni == "vlnity_kov_obal_zelezo/mekka_ocel":
            typ_tesneni = 2
            m = 3.25
            y = 37.9
        elif material_tesneni == "vlnity_kov_obal_monel/ocel4-6%chromu":
            typ_tesneni = 2
            m = 3.5
            y = 44.8
        elif material_tesneni == "vlnity_kov_obal_korozivzdorna":
            typ_tesneni = 2
            m = 3.75
            y = 52.4
        elif material_tesneni == "ploche_kovove_mekky_hlinik":
            typ_tesneni = 3
            m = 3.25
            y = 37.9
        elif material_tesneni == "ploche_kovove_mekka_med/mosaz":
            typ_tesneni = 3
            m = 3.5
            y = 44.8
        elif material_tesneni == "ploche_kovove_zelezo/mekka_ocel":
            typ_tesneni = 3
            m = 3.75
            y = 52.4
        elif material_tesneni == "ploche_kovove_monel":
            typ_tesneni = 3
            m = 3.5
            y = 55.1
        elif material_tesneni == "ploche_kovove_ocel4-6%chromu":
            typ_tesneni = 3
            m = 3.75
            y = 62.0
        elif material_tesneni == "ploche_kovove_korozivzdorna":
            typ_tesneni = 3
            m = 3.75
            y = 62.0
        elif material_tesneni == "hrebenove_mekky_hlinik":
            typ_tesneni = 2
            m = 3.25
            y = 37.9
        elif material_tesneni == "hrebenove_mekka_med/mosaz":
            typ_tesneni = 2
            m = 3.5
            y = 44.8
        elif material_tesneni == "hrebenove_zelezo/mekka_ocel":
            typ_tesneni = 2
            m = 3.75
            y = 52.4
        elif material_tesneni == "hrebenove_monel/ocel4-6%chromu":
            typ_tesneni = 2
            m = 3.75
            y = 62.0
        elif material_tesneni == "hrebenove_korozivzdorna":
            typ_tesneni = 2
            m = 4.25
            y = 69.5
            w_min = 10.
        elif material_tesneni == "plne_ploche_kovove_mekka_med/mosaz":
            typ_tesneni = 3
            m = 4.0
            y = 60.6
        elif material_tesneni == "plne_ploche_kovove_zelezo/mekka_ocel":
            typ_tesneni = 3
            m = 4.75
            y = 89.5
            w_min = 6.
        elif material_tesneni == "plne_ploche_kovove_monel":
            typ_tesneni = 3
            m = 5.5
            y = 124.
        elif material_tesneni == "plne_ploche_kovove_ocel4-6%chromu":
            typ_tesneni = 3
            m = 5.0
            y = 150.
        elif material_tesneni == "plne_ploche_kovove_korozivzdorna":
            typ_tesneni = 3
            m = 6.5
            y = 179.
        elif material_tesneni == "prstencove_zelezo/mekka_ocel":
            typ_tesneni = 4
            m = 5.5
            y = 124.
            beta_2 = 1
        elif material_tesneni == "prstencove_monel/ocel4-6%chromu":
            typ_tesneni = 4
            m = 6.0
            y = 150.
            beta_2 = 1
        elif material_tesneni == "prstencove_korozivzdorna":
            typ_tesneni = 4
            m = 6.5
            y = 179.
            beta_2 = 1
        elif material_tesneni == "pryz_0kr_pod_75":
            typ_tesneni = 4
            m = 0.25
            y = 0.7
        elif material_tesneni == "pryz_0kr_nad_75":
            typ_tesneni = 4
            m = 0.25
            y = 1.4
        elif material_tesneni == "pryz_pravouhle_pod_75":
            typ_tesneni = 4
            m = 0.25
            y = 1.0
        elif material_tesneni == "pryz_pravouhle_nad_75":
            typ_tesneni = 4
            m = 0.25
            y = 2.8
        elif material_tesneni == "pryz_T_pod_75":
            typ_tesneni = 4
            m = 0.25
            y = 1.0
        elif material_tesneni == "pryz_T_nad_75":
            typ_tesneni = 4
            m = 0.25
            y = 2.8
        else:
            pass
        
        return typ_tesneni, m, y, w_min, beta_2
